import 'package:flutter/material.dart';
import 'package:hub/shared/components/molecules/menu/index.dart';

class MenuItemFactory {
  static MenuItem createMenuItem(
    EnumMenuItem type, {
    Key? key,
    required Function() action,
    required String title,
    required IconData icon,
  }) {
    return MenuItem.create(type, key: key, action: action, title: title, icon: icon);
  }

  MenuItem buildMenuItem(
    EnumMenuItem type, {
    Key? key,
    required Function() action,
    required String title,
    required IconData icon,
  }) {
    return createMenuItem(type, key: key, action: action, title: title, icon: icon);
  }
}
